<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 no-js lt-ie9" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<?php global $theme_option; ?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<!-- Favicons
	================================================== -->
	<?php if(!empty($theme_option['favicon']['url'])){ ?>
		<link rel="shortcut icon" href="<?php echo esc_url($theme_option['favicon']['url']); ?>" type="image/png">
	<?php } ?>
	<?php if(!empty($theme_option['apple_icon']['url'])){ ?>
		<link rel="apple-touch-icon" href="<?php echo esc_url($theme_option['apple_icon']['url']); ?>">
	<?php } ?>
	<?php if(!empty($theme_option['apple_icon_72']['url'])){ ?>
		<link rel="apple-touch-icon" sizes="72x72" href="<?php echo esc_url($theme_option['apple_icon_72']['url']); ?>">
	<?php } ?>
	<?php if(!empty($theme_option['apple_icon_114']['url'])){ ?>
		<link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($theme_option['apple_icon_114']['url']); ?>">
	<?php } ?>
	
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<?php 
		if(isset($theme_option['header_layout']) and $theme_option['header_layout']=="header2" ){
			get_template_part('framework/headers/header2');		
		}else{  
	?>

		<!-- Nav and Logo
		================================================== -->		
		<header class="cd-header">		
			<div class="container">		
				<div class="twelve columns">
					<div class="logo-wrap">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<img src="<?php echo esc_url($theme_option['logo']['url']); ?>" alt="">
						</a>	
					</div>						
					<a class="cd-primary-nav-trigger" href="#0">
						<span class="cd-menu-text"><?php if(!empty($theme_option['menu_text'])){echo esc_attr($theme_option['menu_text']); } ?></span>
						<span class="cd-menu-icon"></span>
					</a>
				</div>	
			</div>						
		</header>	

		<nav>
			<div class="cd-primary-nav">
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => '', 'menu_class' => 'cd-scndr-nav' ) ); ?>
								
				<div class="social-nav">
					<ul class="list-social-nav">
						<?php if($theme_option['facebook']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="facebook"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['facebook']); ?>"><i class="fa fa-facebook"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['google']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="google +"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['google']); ?>"><i class="fa fa-google-plus"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['twitter']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="twitter"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['twitter']); ?>"><i class="fa fa-twitter"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['youtube']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="YouTube"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['youtube']); ?>"><i class="fa fa-youtube"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['linkedin']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="linkedin"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['linkedin']); ?>"><i class="fa fa-linkedin"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['dribbble']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="dribbble"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['dribbble']); ?>"><i class="fa fa-dribbble"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['pinterest']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="pinterest"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['pinterest']); ?>"><i class="fa fa-pinterest"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['instagram']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="instagram"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['instagram']); ?>"><i class="fa fa-instagram"></i></a>
							</li>
						<?php } ?>	
						<?php if($theme_option['github']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="github"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['github']); ?>"><i class="fa fa-github"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['vimeo']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="Vimeo"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['vimeo']); ?>"><i class="fa fa-vimeo-square"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['tumblr']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="Tumblr"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['tumblr']); ?>"><i class="fa fa-tumblr-square"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['soundcloud']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="soundcloud"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['soundcloud']); ?>"><i class="fa fa-soundcloud"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['behance']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="behance"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['behance']); ?>"><i class="fa  fa-behance"></i></a>
							</li>
						<?php } ?>
						<?php if($theme_option['lastfm']!=''){ ?>
							<li class="icon-soc-nav tipped" data-title="lastfm"  data-tipper-options='{"direction":"top","follow":"true"}'>
								<a target="_blank" href="<?php echo esc_url($theme_option['lastfm']); ?>"><i class="fa fa-lastfm"></i></a>
							</li>
						<?php } ?>	
																		
					</ul>	
				</div>							
			</div>
		</nav>		
		<script>
			(function($) { "use strict";
				//Add class Menu        
				$('ul.cd-scndr-nav > li').addClass('cd-label');
			 })(jQuery); 
		</script>
	<?php } ?>
	
	<!-- Primary Page Layout
	================================================== -->
	<main class="cd-main">
