<?php

/*
 * Template Name: Coming Soon
 * Description: A Page Template.
 */

//get_header(); ?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 no-js lt-ie9" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<?php global $theme_option; ?>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"> 
  <!-- Page Title 
  ================================================== -->
  <title><?php wp_title( '|', true, 'right' ); ?></title>
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

  <!-- Favicons
  ================================================== -->
  <?php if(!empty($theme_option['favicon']['url'])){ ?>
    <link rel="shortcut icon" href="<?php echo esc_url($theme_option['favicon']['url']); ?>" type="image/png">
  <?php } ?>
  <?php if(!empty($theme_option['apple_icon']['url'])){ ?>
    <link rel="apple-touch-icon" href="<?php echo esc_url($theme_option['apple_icon']['url']); ?>">
  <?php } ?>
  <?php if(!empty($theme_option['apple_icon_72']['url'])){ ?>
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo esc_url($theme_option['apple_icon_72']['url']); ?>">
  <?php } ?>
  <?php if(!empty($theme_option['apple_icon_114']['url'])){ ?>
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($theme_option['apple_icon_114']['url']); ?>">
  <?php } ?>
<?php wp_head(); ?>
</head>

<body <?php if($theme_option['show_pre'] != 'no') { body_class('royal_preloader'); }else{body_class();} ?>> 
<div class="main-wrapper">  
  <div class="commingsoon-top" style="background-image: url(<?php echo esc_url($theme_option['cs_bg']['url']); ?>)">
    <div class="section-in padding-top">
      <div class="container"> 
        <div class="twelve columns">
          <div class="commingsoon-logo align-center">            
              <img src="<?php echo esc_url($theme_option['cms_logo']['url']); ?>" alt="">            
          </div>  
          <div class="section-header-text align-center">
            <h5><?php echo htmlspecialchars_decode($theme_option['cs_title']); ?></h5>   
            <?php if($theme_option['cs_stitle'] != ''){ ?><p><?php echo htmlspecialchars_decode($theme_option['cs_stitle']); ?></p><?php } ?>    
            <div class="line-header"></div>
          </div>          
        </div>  
        <div class="twelve columns">
          <ul class="countdown">
            <li> 
              <span class="days">00</span>
              <p class="days_ref">days</p>
            </li>
            <li class="seperator">.</li>
            <li>
              <span class="hours">00</span>
              <p class="hours_ref">hours</p>
            </li>
            <li class="seperator">:</li>
            <li> 
              <span class="minutes">00</span>
              <p class="minutes_ref">minutes</p>
            </li>
            <li class="seperator">:</li>
            <li>
              <span class="seconds">00</span>
              <p class="seconds_ref">seconds</p>
            </li>
          </ul>
        </div>
      </div>  
    </div>
  </div>
</div>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.downCount.js"></script>
<script type="text/javascript">
  (function($) { "use strict";      
      //Timer
      $('.countdown').downCount({
          date: '<?php echo htmlspecialchars_decode($theme_option['cmsoon_date']); ?> 12:00:00',
          offset: +10
      }, function () {
          alert('WOOT WOOT, done!');
      });
      //Portfolio Top Sections Fullscreen         
      $(function(){"use strict";
        $('.commingsoon-top').css({'height':($(window).height())+'px'});
        $(window).resize(function(){
        $('.commingsoon-top').css({'height':($(window).height())+'px'});
        });
      });
      
  })(jQuery);
</script>
  <style type="text/css">    
    html {
        margin-top: 0px !important;
    }
    * html body {
        margin-top: 0px !important;
    }
    @media screen and (max-width: 782px) {
      html {
          margin-top: 0px !important;
      }
      * html body {
          margin-top: 0px !important;
      }
    }
  </style>	<?php if($theme_option['show_pre'] != 'no') {	?>		
  <script type="text/javascript">			
  window.jQuery = window.$ = jQuery;			
  	(function($) { "use strict";
      Royal_Preloader.config({
        mode:           'text', // 'number', "text" or "logo"
        text:           '<?php echo esc_attr($theme_option['text_preload']); ?>',
        timeout:        0,
        showInfo:       true,
        opacity:        1,
        background:     ['<?php echo esc_attr($theme_option['background_preload']); ?>']
  	 });			
    })
  (jQuery);		
  </script>	<?php } ?>
<?php //wp_footer(); ?>
</body>
</html>