<?php

/**
 * Template Name: Blog Left Sidebar
 */

 global $theme_option;
get_header(); ?>

	<?php 
		$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
		$subtitle = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
		$blog_action = get_post_meta(get_the_ID(),'_cmb_blog_action', true);
		$blog_action_author = get_post_meta(get_the_ID(),'_cmb_blog_action_author', true);
	?>

	<div class="section fullwidth-height">	
		<div class="parallax-blog"
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>        
	        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
	        <?php if($images){ foreach ( $images as $image ) { ?>
	        <?php 
	        $img =  $image['full_url']; ?>
	          style="background-image: url('<?php echo esc_url($img); ?>');"
	        <?php } } ?>
	    <?php } ?>
		></div>	
		<div class="hero-top">
			<div class="container">			
				<div class="twelve columns">
					<?php if($title != ''){ ?><p><?php echo esc_html($title); ?></p><?php }else{ ?><p><?php echo the_title(); ?></p><?php } ?>	
					<?php if($subtitle != ''){ ?><h2><?php echo esc_html($subtitle); ?></h2><?php } ?>
				</div>	
			</div>	
		</div>		
		<?php if($blog_action != ''){ ?><a href="#scroll-link" class="scroll"><div class="top-link-pages"></div></a><?php } ?>			
	</div>

	<div class="clear"></div>

	<?php if($blog_action != ''){ ?>
	<div class="section padding-top-bottom-small" id="scroll-link">
		<div class="parallax-3" 
			<?php if( function_exists( 'rwmb_meta' ) ) { ?>       
		        <?php $images = rwmb_meta( '_cmb_bg_action', "type=image" ); ?>
		        <?php if($images){ foreach ( $images as $image ) { ?>
		        <?php 
		        $img =  $image['full_url']; ?>
		          style="background-image: url('<?php echo esc_url($img); ?>');"
		        <?php } } ?>
		    <?php } ?>
		></div>				
		<div class="container">			
			<div class="twelve columns">		
				<div class="action-wrap">
					<p>"<?php echo esc_html($blog_action); ?>"</p>
					<?php if($blog_action_author != '') { ?><h6><?php echo esc_html($blog_action_author); ?></h6>	<?php } ?>	
				</div>
			</div>	
		</div>
	</div>
	<div class="clear"></div>	
	<?php } ?>	

	<div class="section-in white-back blog-sidebar">	
		<div class="container">
			<div class="three columns">				
				<?php get_sidebar();?>
			</div>
			
			<div class="nine columns">
				<?php 
					$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
					$args = array(    								
						'post_type' => 'post',
						'paged' => $paged,
					);
					$wp_query = new WP_Query($args);
					while ($wp_query -> have_posts()): $wp_query -> the_post(); 

						get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) );
				    
				    endwhile;
				?> 
				<div class="white-back padding-bottom">		
					<nav role="navigation">
						<?php echo ourea_pagination(); ?>					
					</nav>			
				</div>	
			</div>
		</div>
	</div>			
<script type="text/javascript">
(function($) { "use strict";
	$(document).ready(function() {
	  $('.chaffle').chaffle({
		speed: 10,
		time: 60
	  });
	}); 
})(jQuery);
</script>
<?php get_footer(); ?>