<?php

/**
* Template Name: Blog Masonry
*/
global $theme_option;
get_header(); ?>	

<?php 
	
	$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
	$subtitle = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
	$blog_action = get_post_meta(get_the_ID(),'_cmb_blog_action', true);
	$blog_action_author = get_post_meta(get_the_ID(),'_cmb_blog_action_author', true);
?>

	<div class="section fullwidth-height">	
		<div class="parallax-blog"
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>       
	        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
	        <?php if($images){ foreach ( $images as $image ) { ?>
	        <?php 
	        $img =  $image['full_url']; ?>
	          style="background-image: url('<?php echo esc_url($img); ?>');"
	        <?php } } ?>
	    <?php } ?>
		></div>	
		<div class="hero-top">
			<div class="container">			
				<div class="twelve columns">
					<?php if($title != ''){ ?><p><?php echo esc_html($title); ?></p><?php }else{ ?><p><?php echo the_title(); ?></p><?php } ?>	
					<?php if($subtitle != ''){ ?><h2><?php echo esc_html($subtitle); ?></h2><?php } ?>
				</div>	
			</div>	
		</div>		
		<?php if($blog_action != ''){ ?><a href="#scroll-link" class="scroll"><div class="top-link-pages"></div></a><?php } ?>			
	</div>

	<div class="clear"></div>

	<?php if($blog_action != ''){ ?>
	<div class="section padding-top-bottom-small" id="scroll-link">
		<div class="parallax-3" 
			<?php if( function_exists( 'rwmb_meta' ) ) { ?>        
		        <?php $images = rwmb_meta( '_cmb_bg_action', "type=image" ); ?>
		        <?php if($images){ foreach ( $images as $image ) { ?>
		        <?php 
		        $img =  $image['full_url']; ?>
		          style="background-image: url('<?php echo esc_url($img); ?>');"
		        <?php } } ?>
		    <?php } ?>
		></div>				
		<div class="container">			
			<div class="twelve columns">		
				<div class="action-wrap">
					<p>"<?php echo esc_html($blog_action); ?>"</p>
					<?php if($blog_action_author != '') { ?><h6><?php echo esc_html($blog_action_author); ?></h6>	<?php } ?>	
				</div>
			</div>	
		</div>
	</div>
	<div class="clear"></div>	
	<?php } ?>

	<div class="section padding-top-bottom white-background">			
		<div class="container">			
			<div class="twelve columns">
				<div id="blog-filter">
					<ul id="filter">
						<li><a href="#" data-filter="*" class="current" title=""><?php echo 'all'; ?></a></li>
						<?php 
		                  $categories = get_categories();
		                   foreach( (array)$categories as $categorie){
		                    $cat_name = $categorie->name;
		                    $cat_slug = $categorie->slug;
		                    $cat_count = $categorie->count;
		                  ?>
		                <li><a href="#" data-filter=".<?php echo htmlspecialchars_decode($cat_slug); ?>" title=""><?php echo htmlspecialchars_decode($cat_name); ?></a></li>
	                  <?php } ?>
					</ul>
				</div>
			</div>	
		</div>
		
		<div class="clear"></div>	
		<div id="blog-grid">										
			<?php if(have_posts()) : ?>
				<?php 
            $args = array(    
              'paged' => $paged,
              'posts_per_page' =>-1,
              'post_type' => 'post',
            );
            $wp_query = new WP_Query($args);
            while ($wp_query -> have_posts()): $wp_query -> the_post(); 
            $cates = get_the_category(get_the_ID());

                  $cate_name ='';

                  $cate_slug = '';

                      foreach((array)$cates as $cate){

                      if(count($cates)>0){

                        $cate_name = $cate->cat_name;

                        $cate_slug = $cate->cat_slug;     

                      } 

	                  }
	        ?>
	        <?php $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true); ?>
	        <?php $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true); ?>
	        <?php $format = get_post_format(); ?>
			<?php if($format=='audio'){ ?>
				<div class="blog-box-1 black-background audio">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>
					<?php if($link_audio) { ?>
			        	<iframe height="166" width="100%" scrolling="no" frameborder="no" src="<?php echo esc_url($link_audio);?>&amp;color=ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_artwork=true"></iframe>
			        <?php } ?>	
					<a href="<?php the_permalink(); ?>" class="animsition-link"><h6><?php the_title(); ?></h6></a>
					<div class="p-box"><p><?php echo ourea_excerpt($theme_option['blog_excerpt']); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>	
				</div>
			<?php } elseif($format=='video'){ ?>
				<div class="blog-box-1 black-background video">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>
					<?php if($link_video !=''){?>
						<iframe src="<?php echo esc_url($link_video); ?>" width="940" height="170" ></iframe>
					<?php }?>	
					<a href="<?php the_permalink(); ?>" class="animsition-link"><h6><?php the_title(); ?></h6></a>
					<div class="p-box"><p><?php echo ourea_excerpt($theme_option['blog_excerpt']); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>	
				</div>
			<?php } elseif($format=='gallery'){ ?>
				<div class="blog-box-1 black-background gallery">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>						
					<?php if( function_exists( 'rwmb_meta' ) ) { ?>
						<?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
					    <?php if($images){ ?>
							<div id="owl-blog<?php the_ID(); ?>" class="owl-carousel owl-theme">
								<?php foreach ( $images as $image ) { ?>
									<div class="item">
										<img src="<?php echo esc_url($image['full_url']); ?>" alt="">
									</div>
								<?php } ?>
							</div>	
						<?php } ?>
					<?php } ?>						
					<a href="<?php the_permalink(); ?>" class="animsition-link"><h6><?php the_title(); ?></h6></a>
					<div class="p-box"><p><?php echo ourea_excerpt($theme_option['blog_excerpt']); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>	
				</div>
				<?php if( function_exists( 'rwmb_meta' ) ) { ?>
					<script type="text/javascript">
					(function($) { "use strict";
						/* Post Carousel */	
						$(document).ready(function() {
						 
						  var time = 4; // time in seconds
						 
						  var $progressBar,
							  $bar, 
							  $elem, 
							  isPause, 
							  tick,
							  percentTime;
						 
							//Init the carousel
							$("#owl-blog<?php the_ID(); ?>").owlCarousel({
								navigation: true,
								pagination : false,
								slideSpeed : 500,
								paginationSpeed : 500,
								singleItem:true,
								afterInit : progressBar,
								afterMove : moved,
								startDragging : pauseOnDragging
							});
						 
							//Init progressBar where elem is $("#owl-demo")
							function progressBar(elem){
							  $elem = elem;
							  //build progress bar elements
							  buildProgressBar();
							  //start counting
							  start();
							}
						 
							//create div#progressBar and div#bar then prepend to $("#owl-demo")
							function buildProgressBar(){
							  $progressBar = $("<div>",{
								id:"progressBar-blog"
							  });
							  $bar = $("<div>",{
								id:"bar-blog"
							  });
							  $progressBar.append($bar).prependTo($elem);
							}
						 
							function start() {
							  //reset timer
							  percentTime = 0;
							  isPause = false;
							  //run interval every 0.01 second
							  tick = setInterval(interval, 10);
							};
						 
							function interval() {
							  if(isPause === false){
								percentTime += 1 / time;
								$bar.css({
								   width: percentTime+"%"
								 });
								//if percentTime is equal or greater than 100
								if(percentTime >= 100){
								  //slide to next item 
								  $elem.trigger('owl.next')
								}
							  }
							}
						 
							//pause while dragging 
							function pauseOnDragging(){
							  isPause = true;
							}
						 
							//moved callback
							function moved(){
							  //clear interval
							  clearTimeout(tick);
							  //start again
							  start();
							}
						 
							//uncomment this to make pause on mouseover 
							// $elem.on('mouseover',function(){
							//   isPause = true;
							// })
							// $elem.on('mouseout',function(){
							//   isPause = false;
							// })
						 
						});	
					})(jQuery);
					</script>
				<?php } ?>
			<?php } elseif($format=='image'){ ?>
				<div class="blog-box-1 black-background photo">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>
					<?php if( function_exists( 'rwmb_meta' ) ) { ?>
						<?php $images = rwmb_meta( '_cmb_image', "type=image" ); ?>
				        <?php if($images){ foreach ( $images as $image ) { ?>		       	       
			            	<img src="<?php echo esc_url($image['full_url']); ?>" alt="">	 	        
				        <?php } } ?>
				    <?php } ?>    	
					<a href="<?php the_permalink(); ?>" class="animsition-link"><h6><?php the_title(); ?></h6></a>
					<div class="p-box"><p><?php echo ourea_excerpt($theme_option['blog_excerpt']); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>	
				</div>
			<?php } elseif($format=='quote'){ ?>
				<?php 
					$quote = get_post_meta(get_the_ID(),'_cmb_quote', true);
				    $autor = get_post_meta(get_the_ID(),'_cmb_quote_author', true);	    
				?>
				<div class="blog-box-1 black-background quote">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>
					<h6>"<?php echo htmlspecialchars_decode($quote); ?>"</h6>
					<div class="p-box"><p><?php echo htmlspecialchars_decode($autor); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>
				</div>

			<?php }else{ ?>
				<div class="blog-box-1 black-background photo">
					<div class="date"><p><span><?php the_time('d'); ?>/</span><?php the_time('M.Y.'); ?> <em><?php the_author(); ?></em></p></div>
					  	
					<a href="<?php the_permalink(); ?>" class="animsition-link"><h6><?php the_title(); ?></h6></a>
					<div class="p-box"><p><?php echo ourea_excerpt($theme_option['blog_excerpt']); ?></p></div>
					<a href="<?php the_permalink(); ?>" class="animsition-link blog-links chaffle" data-lang="en"><?php if($theme_option['read_more']) { echo esc_attr($theme_option['read_more']); }else{ echo 'read more'; }?></a>	
				</div>
			<?php } ?>

			<?php  endwhile;?> 		
		</div>
	<?php else: ?>
      <h1><?php _e('Nothing Found Here!','biss'); ?></h1>
    <?php endif; ?> 
</div>
	
<div class="clear"></div>
<script type="text/javascript">
(function($) { "use strict";
	$(document).ready(function() {
	  $('.chaffle').chaffle({
		speed: 10,
		time: 60
	  });
	}); 
})(jQuery);
</script>
<?php get_footer(); ?>
